// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO12/16AO12_Linux_3.x.x.x.x_GSC_DN/include/16ao12_dsl.h $
// $Rev: 52790 $
// $Date: 2023-04-06 16:24:11 -0500 (Thu, 06 Apr 2023) $

// 16AO12: Document Source Library: header file

#ifndef	__16AO12_DSL_H__
#define	__16AO12_DSL_H__

#include <stdlib.h>

#include "16ao12_api.h"



// prototypes *****************************************************************

int	ao12_close_dsl	(int fd);
int	ao12_init_dsl	(void);
int	ao12_ioctl_dsl	(int fd, int request, void *arg);
int	ao12_open_dsl	(int device, int share, int* fd);
int ao12_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	ao12_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
